LINUX.ORG.RU

В драйверах ATI Catalyst появилась поддержка OpenGL 4.0

 , , , ,


0

0

Сегодня AMD выпустила превью-драйвер с поддержкой OpenGL 4.0!

Он основан на вчерашнем релизе 10.3, и нумеруется как 8.712.3.1

OpenGL 4.0 доступен только для карт «Evergreen», для карт серий r600/r700 реализована поддержка OpenGL 3.3

>>> Подробности

Ответ на: комментарий от axel92

>раньше были глюки, гдето 1.5 года назад

и ты выбросил говённую ати и купил nvidia

не бойся признаться в этом, адекватность ещё пока в почёте

FractalL ()
Ответ на: комментарий от lester_dev

>Промокание калош решалось отпиливанием ног.

С видио решалось, переключением в настройках плеера вывода на x11. А в 3D не нашел решение.

А как там с аналогом vdpau, котег?

Вроди нету

axel92 ()
Ответ на: комментарий от FractalL

>и ты выбросил говённую ати и купил nvidia не бойся признаться в этом, адекватность ещё пока в почёте

неа, у меня на десктопе была HD2600XT(позже весь комп продал) и на буке HD3200(сейчас), и все устраивает.

axel92 ()
Ответ на: комментарий от axel92

>Незнаю что у тебя там работает через жопу, но у меня на буке с HD3200 уже как год никаких проблем нету.

У меня с моей RV350 уже года 3 тоже проблем никаких, после покупки nvidia :)

frame ★★★ ()
Ответ на: комментарий от FractalL

бедные ативоды настолько измучены кривостью атишных дров, что утешаются горящими nvidia-картами вендузятников

пофиг, что не в Линуксе, зато nvidia, да? -))

Nvidia призналась в поставках бракованных видеокарт

Компания Nvidia признала наличие брака в старых графических картах, которые устанавливались в ноутбуки...

>> Пруф 1

На практике оказывается, что практически все мобильные GPU NVIDIA являются дефектными. Пытаясь сгладить ситуацию, NVIDIA поспешила уверить, что проблема касается лишь продуктов «предыдущего поколения». Однако в списке ноутбуков фигурируют модели с практически полным ассортиментом чипов 8400M и 8600M. .... Дефектными оказались и практически все чипы начального и среднего диапазона. Среди них — серии GeForce Go 7000 и 6000, Quadro NVS 135M и Quadro FX 360M.

>> Пруф 2

Sith ★★★★★ ()

сразу бы уж Dire^WOpenGL n+1

чтоб нвидия никогда не догнала. а то, что на нем как обычно половина задач работает, остальная половина поддерживается (в равных долях надо думать) какими-то другими дровами, это фигня, да. кактусоеды, REJOICE!

<ушел читать очередную новость на Форониксе, о не работающих и не собирающихся в обозримой перспективе работать, «драйверах» на Гале3Д. Чую, что первым заработает закрытый проприетарный Галлиум-дарайвер от VMWare для проброса 3Д из гостевой Винды. Да так единственным и останется. Во потеха будет.>

anonymous ()
Ответ на: комментарий от Sith

ноутбуки не нужны.

и когда в подобном признается АТИ, вы съедите свою шляпу? или киборд ворриор? Если нет шляпы, я охотно предоставлю.

anonymous ()
Ответ на: комментарий от anonymous

А когда у тебя сгорит нвидиа карточка в десктопе, то ты скажешь что десктопы не нужны и уйдешь в лес и станешь отшельником?

daemonpnz ★★★★★ ()
Ответ на: комментарий от anonymous

ноутбуки не нужны.

И брак затронул не только G84 и G86, но и более новые графические решения G92 и G94. Иными словами, к числу дефектных видеокарт сразу оказались причислены и многие варианты видеокарт GeForce 8800, 9600 и 9800. Косвенно это подтверждают и опубликованные сайтом Digitimes несколькими неделями ранее жалобы тайваньских производителей компьютеров, встретившихся с проблемами неработоспособности таких десктопных видеокарт на практике.

http://www.overclockers.ru/hardnews/30079.shtml

и когда в подобном признается АТИ, вы съедите свою шляпу?

c какого перепугу? я такого не обещал

Sith ★★★★★ ()

зато у нвидиафанов всё работает. а вы трахайтесь с мифисческой хуетой которую пишут и покупают одни мудаки и нищебляди.

anonymous ()

я правильно понимаю что на r600 можно получить ogl 3.3 и частично 4.0? В частности на r610 такое возможно?

ptah_alexs ★★★★★ ()
Ответ на: комментарий от axel92

моя старушенция HD 2400 файлы типа HDTV-720p-H264_King-Kong_AC3.mkv
под compiz на totem без проблем показывает на этом драйвере.

elipse ★★★ ()
Ответ на: комментарий от ptah_alexs

у меня самый low level (hd 2400) для этого драйвера ))

$glxinfo | grep «OpenGL version»
OpenGL version string: 3.3.9826 BETA Compatibility Profile Context


elipse ★★★ ()
Ответ на: комментарий от Sith

>И брак затронул не только G84 и G86, но и более новые графические решения G92 и G94. Иными словами, к числу дефектных видеокарт сразу оказались причислены и многие варианты видеокарт GeForce 8800, 9600 и 9800

у меня 9600, а до этого была 8500, всё работало

так что опять попусту ты пукнул -))

FractalL ()
Ответ на: комментарий от ptah_alexs

>я правильно понимаю что на r600 можно получить ogl 3.3 и частично 4.0? В частности на r610 такое возможно?

угу, в секунды между падениями драйвера или xserver'а -))

FractalL ()
Ответ на: комментарий от FractalL

у меня 9600, а до этого была 8500, всё работало

так что опять попусту ты пукнул -))

это вы производителям скажите, а не мне

Sith ★★★★★ ()

glxinfo | grep «OpenGL version» OpenGL version string: 3.2.0 NVIDIA 190.53

При покупке компа вопрос об ati сразу снялся. Только nvidia. Зато приятно читать страшные стенания atiводов при выходе новых драйверов под linux...

Aliaric ()
Ответ на: комментарий от anonymous

><ушел читать очередную новость на Форониксе, о не работающих и не собирающихся в обозримой перспективе работать, «драйверах» на Гале3Д. Чую, что первым заработает закрытый проприетарный Галлиум-дарайвер от VMWare для проброса 3Д из гостевой Винды. Да так единственным и останется. Во потеха будет.>

А можно ссылки на эти новости, а то мельком загшлядывая на фороник и на его форум встречал только радость от р300г драйвера. Хотя признаю много не читал и возможно мне просто не попадалось.

anonymous ()
Ответ на: комментарий от Reset

Если бы ты писал что-либо на opengl, то так бы не говорил. Я на своей шкуре неоднократно убеждался какое же это г-но драйвера от ati. И в венде и тем более в линухе.

на свою память вспомню только феерию с FBO до 2008 года, когда драйвер мог в BSOD уйти под вендой, а так в основном дело только в руках, или лучше сказать - большей лояльности драйверов NVIDIA к «кривому» коду в шейдерах, или веселых комбинациях gl-команд.

Andru ★★★★ ()
Ответ на: комментарий от FractalL

у меня 9600, а до этого была 8500, всё работало

подтверждаю - у меня 9600 все работает - и вообще спрашивал у народа - все слышали, что может сгореть - но у всех работает нормально.

male66 ()
Ответ на: комментарий от WARNING

>Это конечно хорошо, но меня вот больше интересует стало ли оно меньше тормозить в 2D? А то уже запарило при ресайзе окон устраивать слайд-шоу.

Попробуй свободные дрова. Это та причина, по которой я на них перешел.

Pavval ★★★★★ ()
Ответ на: комментарий от Reset

сли бы ты писал что-либо на opengl, то так бы не говорил. Я на своей шкуре неоднократно убеждался какое же это г-но драйвера от ati. И в венде и тем более в линухе.

Yes, it is. The codebase is much, much larger, and the graphics technology pushes a lot of paths that are not usually optimized. It probably wouldn’t be all that bad to get it running on the nvidia binary drivers, but the chance of it working correctly and acceptably anywhere else would be small. If you are restricted to it only working on the closed source drivers, you might as well boot into windows and get the fully tested and tuned experience…

John Carmack

Sith ★★★★★ ()

Два года сидел на nvidia-drivers. Думал, что ATI — фуфло.

Купил ноут с ATI. Понял, что nvidia — фуфло.

Устроился на новую работу, опробовал nouveau. Понял, что все открытые дрова рулят.

Привет кактусоедам всех марок и мастей.

anonymous ()
Ответ на: комментарий от anonymous

[quote=«anonymous»]зато у нвидиафанов всё работает. а вы трахайтесь с мифисческой хуетой которую пишут и покупают одни мудаки и нищебляди. [/quote] Пользуюсь Sony VAIO VGN-NW2ERE/S с ATI Radeon HD 4570. Проблем с видеокартой ни разу не замечал. Скажи, я мудак или нищеблядь?

з.ы. капча «woodsman in» доставляет.

anonymous ()

Поддержка Mobility Radeon HD5470

А я вот ноут купил с Mobility Radeon HD5470, и не могу на нем линукс поставить. Какой драйвер с этим железом заработает? А то Суся 11.2 ставиццо, но сразу в иксах намертво виснет.

АТИ вроде пока еще серию 5ххх не поддерживает ;(

UkrMaks ()
Ответ на: комментарий от Reset

Reset> Если бы ты писал что-либо на opengl, то так бы не говорил. Я на своей шкуре неоднократно убеждался какое же это г-но драйвера от ati. И в венде и тем более в линухе.

Криворукий ты значит кодер. У других работает, а у тебя не пашет.

Quasar ★★★★★ ()
Ответ на: комментарий от Sith

Sith> если не ошибаюсь у них периодично всплывают новости о горящих железках от нвидиа

Более того - нвидия около года поставляла заведомо бракованные чипсеты для ноутбучных видеокарт 8 и 9 серий. В результате огроменная куча ноутов именно из-за нвидии сдохла.

Quasar ★★★★★ ()

А когда на R500 появится opengl 2.0? Когда будет рендеринг, который понимает java?

trynoval ()
Ответ на: комментарий от Quasar

> Говори за себя. Лично я пользуюсь ноутбуком потому, что это очень удобно

s/Говори\ за\ себя/Заткнись\,\ долбоёб/

anonymous ()
Ответ на: комментарий от ptah_alexs

ptah_alexs> я правильно понимаю что на r600 можно получить ogl 3.3 и частично 4.0?

OpenGL 3.3 - это функции от 4.0 для ветки 3.х . То есть по сути почти одно и то же.

Quasar ★★★★★ ()

чтото слишком шустро, стопроцентный костыль. ждемс поддержки у нвидии

x0r ★★★★★ ()
Ответ на: Re: Поддержка Mobility Radeon HD5470 от UkrMaks

Тогд vesa или fbdev на первое время. Цветопередача будет похуже, и никакого 3D, зато потом заработает.

Либо ставь Debian Squeeze и там попробуй. А так - тот драйвер. про который говорится в новости, и поддерживает твою видеокарту.

Quasar ★★★★★ ()

В метках поправьте опечатку: 3d -> 2d.

anonymous ()
Ответ на: комментарий от Pavval

>Попробуй свободные дрова. Это та причина, по которой я на них перешел.

пробовал. Всё хорошо, быстро и удобно, но в виртуалке не завелось 3D, а это критично. Пришлось вернуться на каталист(

WARNING ★★★★ ()
Ответ на: комментарий от WARNING

>>Попробуй свободные дрова. Это та причина, по которой я на них перешел.

пробовал. Всё хорошо, быстро и удобно, но в виртуалке не завелось 3D, а это критично. Пришлось вернуться на каталист(


Сам планирую поднять из интереса что-то в виртуалке и поглядеть. А каталист разучился работать у меня на системе.

Pavval ★★★★★ ()
Ответ на: комментарий от Aliaric

Aliaric> Зато приятно читать страшные стенания atiводов при выходе новых драйверов под linux...

Вообще-то в обсуждениях новостей о дровах для видеокарт AMD стенают обычно нвидия-фангеи. Владельцы же карточек от AMD без фанатизма радуются, что развитие идёт, и дрова работают всё лучше и лучше.

Quasar ★★★★★ ()
Вы не можете добавлять комментарии в эту тему. Тема перемещена в архив.